- entityDefinitions:
  - IDM_Method__get__Fully_Qualified_Name: '{4fe88ce9-96dc-40ac-93ac-bd5385c4802d}'
  - IDMB_Method__get__Fully_Qualified_Name: '{a70e1e16-94ed-4496-931c-f829217b8c7d}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - buildAttributeMethod: '&IDM_Method__get__Fully_Qualified_Name;'
    forClassId: '&IDC_Method;'
    verb: 'get'
    name: 'Fully Qualified Name'
    accessModifierId: '&IDI_AccessModifier_Public;'
    initialValue: ''
    returnsAttributeId: '&IDA_Value;'
    buildsWithAttributes:
    - order: a
      executes: '&IDMB_Method__get__Class_Name;'
    - order: b
      executes: '&IDMB_Common_Text__get__At_Sign;' #@
    - order: c
      executes: '&IDMB_Method__get__Verb;'
    - order: d
      executes: '&IDMB_Common_Text__get__Single_Space;'
    - order: e
      executes: '&IDMB_Method__get__Name;'
    - order: f
      executes: '&IDMB_Common_Text__get__Open_Parenthesis;' #(
    - order: g
      executes: '&IDMB_Method__get__Method_Type;' # GRA, GSI, etc.
    - order: h
      executes: '&IDMB_Common_Text__get__Close_Parenthesis;' #)
    - order: i
      executes: '&IDMB_Method__get__Parms_Qualifier_or_Empty_String;' # *P
    - order: j
      executes: '&IDMB_Method__get__Static_Qualifier_or_Empty_String;' # *S
    - order: k
      executes: '&IDMB_Method__get__Public_Qualifier_or_Empty_String;' #(public)
 
  - returnAttributeMethodBinding: '&IDMB_Method__get__Fully_Qualified_Name;'
    executesMethod: '&IDM_Method__get__Fully_Qualified_Name;'
    